#ifndef _IP_CONNTRACK_TRIGGER_H
#define _IP_CONNTRACK_TRIGGER_H

#ifndef __KERNEL__
#error Only in kernel.
#endif

#include <linux/netfilter_ipv4/lockhelp.h>

#define IP_CONNTR_TRIGGER	1	
#define MAX_TRIGGERS	10		// max trigger control ports, ie, max ip_nat_helpers

/* Protects trigger part of conntracks */
DECLARE_LOCK_EXTERN(ip_trigger_lock);

/* This structure is per expected connection */
struct ip_ct_trigger_expect
{
       /* length of IP address */
       //u_int32_t len;
       /* Port that was to be used */
       //u_int16_t port;
};

/* This structure exists only once per master */
struct ip_ct_trigger_master {
	/* This tells NAT that this is an port trigger connection */
       int is_trigger;
};

#endif /* _IP_CONNTRACK_TRIGGER_H */
